Bug 972960 - Packstack should update the kernel, iproute, iputils, and selinux-policy for all hosts regardless of Quantum use
Packstack should update the kernel, iproute, iputils, and selinux-policy for ...
Status: CLOSED ERRATA
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-packstack (Show other bugs)
3.0
Unspecified Linux
high Severity high
: rc
: 3.0
Assigned To: Martin Magr
Nir Magnezi
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 18:46 EDT by Terry Wilson
Modified: 2016-04-26 23:29 EDT (History)
6 users (show)

See Also:
Fixed In Version: openstack-packstack-2013.1.1-0.16.dev630
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-27 13:17:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
OpenStack gerrit 32550 None None None Never
Red Hat Product Errata RHBA-2013:0968 normal SHIPPED_LIVE Red Hat OpenStack 3.0 ("Grizzly") bug fix and enhancement update 2013-06-27 17:14:27 EDT

  None (edit)
Description Terry Wilson 2013-06-10 18:46:00 EDT
Description of problem:

For consistency's sake, packstack should just always update the kernel, iproute, iputils, and selinux-policy-targeted on installation targets. Currently the kernel, iproute, and iputils packages are updated only when CONFIG_QUANTUM_INSTALL=y and the selinux-policy-targeted (updated versions of which are required for proper function) is not updated at all.


Version-Release number of selected component (if applicable):

openstack-packstack-2013.1.1-0.15.dev625.el6ost

How reproducible:

Always

Steps to Reproduce:
1. Run packstack with CONFIG_QUANTUM_INSTALL=n

Actual results:
Packages above not updated

Expected results:
Packages above should be updated
Comment 4 Nir Magnezi 2013-06-16 08:50:26 EDT
Verified NVR: openstack-packstack-2013.1.1-0.17.dev631.el6ost.noarch

Verification Steps:
===================
1. Ran packstack --allinone with CONFIG_QUANTUM_INSTALL=n

Result:
=======
packstack Installed kernel, iproute and iputils with netns support and selinux-policy-targeted: 
kernel-2.6.32-358.111.1.openstack.el6.x86_64
iproute-2.6.32-23.el6ost.netns.2.x86_64
iputils-20071127-17.el6_4.x86_64
selinux-policy-targeted-3.7.19-195.el6_4.10.noarch
Comment 7 errata-xmlrpc 2013-06-27 13:17:39 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2013-0968.html

Note You need to log in before you can comment on or make changes to this bug.